<div class="well well-lg registration">
        <div class="row">
            <div class="col-sm-offset-3 col-sm-4">
                    <form class="form-horizontal" [formGroup]="loginMainForm" (ngSubmit)="onSubmit()">
                            <div class="text-center">
                                <h2>{{ 'login.login' | translate }}</h2>
                                <div *ngIf="error">
                                    <div class="invalid-feedback">
                                        <!-- <div>Invalid credentials</div> -->
                                        <div>{{ 'header.invalid-credentials' | translate }}</div>
                                    </div>
                                </div>
                            </div>
                    
                            <div class="form-group">
                                <label class="" for="reg-code">{{ 'register.phone-number' | translate }}:</label>
                                <div class="">
                                    <input type="text" class="form-login form-control" formControlName="phone" placeholder="61 234 567" [ngClass]="{ 'is-invalid' : submitted && f.phone.errors }">
                                    <div *ngIf="submitted && f.phone.errors" class="invalid-feedback" required>
                                        <div *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</div>
                                        <div *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</div>
                                        <div *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</div>
                                    </div>
                                </div>
                            </div>
                    
                            <div class="form-group">
                                <label class="" for="pwd">{{ 'register.password' | translate }}:</label>
                                <div class="">
                                    <input type="password" class="form-login form-control" placeholder="Enter password" formControlName="password" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" 
                                    required maxlength="6">
                                    <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                                        <!-- <div *ngIf="f.password.errors.pattern">{{ 'header.numbers-only' | translate }}</div> -->
                                        <div *ngIf="f.password.errors.minlength">{{ 'header.password-error-less' | translate }}</div>
                                        <div *ngIf="f.password.errors.maxlength">{{ 'header.password-error-more' | translate }}</div>
                                        <div *ngIf="f.password.errors.required">{{ 'header.required' | translate }}</div>
                                    </div>
                                </div>
                            </div>
                    
                            <div class="form-group">
                                <div class="">
                                    <button type="submit" class="btn btn-default">{{ 'header.login' | translate }}</button>
                                    <a class="btn btn-default" routerLink="/auth/forgot-password">{{ 'header.forgot-password' | translate }}?</a>
                                </div>
                            </div>
                        </form>
            </div>
        </div>
</div>